## org.apache.hadoop.record.meta
Class TypeID.RIOType

    java.lang.Object
      org.apache.hadoop.record.meta.TypeID.RIOType

Enclosing class:
  TypeID

    public static final class TypeID.RIOType

extends Object

constants representing the IDL types we support

Field Summary
`static byte` `BOOL`
`static byte` `BUFFER`
`static byte` `BYTE`
`static byte` `DOUBLE`
`static byte` `FLOAT`
`static byte` `INT`
`static byte` `LONG`
`static byte` `MAP`
`static byte` `STRING`
`static byte` `STRUCT`
`static byte` `VECTOR`

Constructor Summary
`TypeID.RIOType()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOOL

    public static final byte BOOL

See Also:
  Constant Field Values

### BUFFER

    public static final byte BUFFER

See Also:
  Constant Field Values

### BYTE

    public static final byte BYTE

See Also:
  Constant Field Values

### DOUBLE

    public static final byte DOUBLE

See Also:
  Constant Field Values

### FLOAT

    public static final byte FLOAT

See Also:
  Constant Field Values

### INT

    public static final byte INT

See Also:
  Constant Field Values

### LONG

    public static final byte LONG

See Also:
  Constant Field Values

### MAP

    public static final byte MAP

See Also:
  Constant Field Values

### STRING

    public static final byte STRING

See Also:
  Constant Field Values

### STRUCT

    public static final byte STRUCT

See Also:
  Constant Field Values

### VECTOR

    public static final byte VECTOR

See Also:
  Constant Field Values

Constructor Detail

### TypeID.RIOType

    public TypeID.RIOType()

Copyright © 2009 The Apache Software Foundation